Debian Bug report logs - #318280
-c not working properly with new xorg xterm

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Tobias Diedrich <ranma+debianbts@tdiedrich.de>

Date: Thu, 14 Jul 2005 13:48:12 UTC

Severity: normal

Tags: fixed-in-experimental, fixed-upstream

Merged with 328273, 333765

Found in versions 6.8.2.dfsg.1-2, xterm/6.8.2.dfsg.1-6, xterm/6.8.2.dfsg.1-7

Fixed in versions 204-0pre1, 208-1

Done: David Martínez Moreno <ender@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#318280; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Tobias Diedrich <ranma+debianbts@tdiedrich.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tobias Diedrich <ranma+debianbts@tdiedrich.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: -c not working properly with new xorg xterm
Date: Thu, 14 Jul 2005 15:42:59 +0200
Package: xterm
Version: 6.8.2.dfsg.1-2
Severity: normal


With the old xterm,
"xterm -e 'while true; echo foo; sleep 5; done'"
would work just fine, now xterm pops up for a split-second and
vanishes.
"xterm -e '/bin/bash'" seems to work fine though.
"xterm -e '/bin/bash -c \"while true; echo foo; sleep 5; done\"'"
however does again not work.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11.12-ac7-vs1.9.5-htbatm-imq
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.8-3       XML parsing C library - runtime li
ii  libfontconfig1            2.3.2-1        generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.8.2.dfsg.1-2 Inter-Client Exchange library
ii  libncurses5               5.4-8          Shared libraries for terminal hand
ii  libsm6                    6.8.2.dfsg.1-2 X Window System Session Management
ii  libxaw8                   6.8.2.dfsg.1-2 X Athena widget set library
ii  libxext6                  6.8.2.dfsg.1-2 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxmu6                   6.8.2.dfsg.1-2 X Window System miscellaneous util
ii  libxp6                    6.8.2.dfsg.1-2 X Window System printing extension
ii  libxpm4                   6.8.2.dfsg.1-2 X pixmap library
ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
ii  libxt6                    6.8.2.dfsg.1-2 X Toolkit Intrinsics
ii  xlibs                     6.8.2.dfsg.1-2 X Window System client libraries m
ii  xlibs-data                6.8.2.dfsg.1-2 X Window System client data

Versions of packages xterm recommends:
ii  xutils                    6.8.2.dfsg.1-2 X Window System utility programs

-- debconf information:
  xterm/clobber_xresource_file: true
  xterm/xterm_needs_devpts:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#318280; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 318280@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Tobias Diedrich <ranma+debianbts@tdiedrich.de>, 318280@bugs.debian.org
Subject: Re: Bug#318280: -c not working properly with new xorg xterm
Date: Thu, 14 Jul 2005 12:37:23 -0400
[Message part 1 (text/plain, inline)]
On Thu, Jul 14, 2005 at 04:00:42PM +0200, Tobias Diedrich wrote:
> Package: xterm
> Version: 6.8.2.dfsg.1-2
> Severity: normal
> 
> 
> With the old xterm,
> "xterm -e 'while true; echo foo; sleep 5; done'"
> would work just fine, now xterm pops up for a split-second and
> vanishes.
> "xterm -e '/bin/bash'" seems to work fine though.
> "xterm -e '/bin/bash -c \"while true; echo foo; sleep 5; done\"'"
> however does again not work.
 
This sounds like a bug from xterm patch #201 which is fixed in #203:

http://invisible-island.net/xterm/xterm.log.html

Patch #203 - 2005/7/6 - XFree86 4.5.99.7
	* amend  change  to  command-line  processing in patch #201 to avoid
          conflict with -e option (report by Servatius Brandt).


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#318280; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to David Martinez Moreno <ender@el-mundo.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 318280@bugs.debian.org (full text, mbox):

From: David Martinez Moreno <ender@el-mundo.net>
To: debian-x@lists.debian.org, Thomas Dickey <dickey@radix.net>, 318280@bugs.debian.org
Cc: Tobias Diedrich <ranma+debianbts@tdiedrich.de>
Subject: Re: Bug#318280: -c not working properly with new xorg xterm
Date: Thu, 14 Jul 2005 19:13:07 +0200
[Message part 1 (text/plain, inline)]
El Jueves, 14 de Julio de 2005 18:37, Thomas Dickey escribió:
> This sounds like a bug from xterm patch #201 which is fixed in #203:
>
> http://invisible-island.net/xterm/xterm.log.html
>
> Patch #203 - 2005/7/6 - XFree86 4.5.99.7
> 	* amend  change  to  command-line  processing in patch #201 to avoid
>           conflict with -e option (report by Servatius Brandt).

	Then I understand that given that current Debian X.Org packages seem to 
provide a nearly #202 version of your patchset, it would be simply a matter 
of pulling your #203 patch, wouldn't it?

	Best regards,


		Ender.
-- 
Another C-3PO: E chu ta!
C-3PO: How rude!
		-- C-3PO (The Empire Strikes Back).
--
Área de Internet - Network services
Mundinteractivos - El Mundo
C/Pradillo, 42 - Madrid (Spain)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#318280; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 318280@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 318280@bugs.debian.org
Subject: #318280 -c not working properly with new xorg xterm
Date: Sun, 17 Jul 2005 19:25:52 -0400
[Message part 1 (text/plain, inline)]
this is fixed in xterm patch #203

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Merged 318280 328273. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 318280 328273 333765. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tobias Diedrich <ranma+debianbts@tdiedrich.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 318280-done@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: 333765-done@bugs.debian.org, 318280-done@bugs.debian.org, 328273-done@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#333765: #333765 xterm -e no longer works with relative paths
Date: Wed, 11 Jan 2006 11:19:03 +0100
[Message part 1 (text/plain, inline)]
Version: 204-0pre1

El jueves, 13 de octubre de 2005 23:20, Thomas Dickey escribió:
> This is the same as 318280

	All right, this should be fixed as of 204-0pre1 and later. Closing bugs...

	Regards,


		Ender.
-- 
- ¿Cuál es el futuro perfecto de AMAR?
- ¡Hijitos!
		-- Susanita (Mafalda).
--
Desarrollador de Debian
Debian developer
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tobias Diedrich <ranma+debianbts@tdiedrich.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tobias Diedrich <ranma+debianbts@tdiedrich.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tobias Diedrich <ranma+debianbts@tdiedrich.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 318280-done@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: 305540-done@bugs.debian.org, 311438-done@bugs.debian.org, 315195-done@bugs.debian.org, 318280-done@bugs.debian.org, 318513-done@bugs.debian.org, 324352-done@bugs.debian.org
Cc: debian-x@lists.debian.org
Subject: Closing bugs fixed in xterm 208-1.
Date: Wed, 11 Jan 2006 11:49:34 +0100
[Message part 1 (text/plain, inline)]
Version: 208-1

	David Nusinow forgot to run dpkg-buildpackage with -v option, in order to 
close bugs from previous version. All these bugs were closed by xterm 
204-0pre1 in experimental, and 208-1 in unstable.

	Best regards,


		Ender.
-- 
Another C-3PO: E chu ta!
C-3PO: How rude!
		-- C-3PO (The Empire Strikes Back).
--
Desarrollador de Debian
Debian developer
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:19:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:23:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.